Sets a new value at a specified index

- « SplFixedArray::offsetGet

- SplFixedArray::offsetUnset »

- PHP Manual
- SplFixedArray
- Sets a new value at a specified index

# SplFixedArray::offsetSet

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplFixedArray::offsetSet — Sets a new value at a specified index

### Description

public SplFixedArray::offsetSet(int `$index`, mixed `$value`): void

Sets the value at the specified `index` to `value`.

### Parameters

`index`

  The index being set.

`value`

  The new value for the `index`.

### Return Values

No value is returned.

### Errors/Exceptions

Throws RuntimeException when `index` is outside the defined size of the array or when `index` cannot be parsed as an integer.